Overview | Modules | Class Hierarchy | Classes | Members

Namespaces | Functions
GraphTools.h File Reference
`#include <set>`
`#include <list>`
`#include <tulip/tuliphash.h>`
`#include <tulip/Node.h>`
`#include <tulip/Edge.h>`
`#include <tulip/PlanarConMap.h>`
Include dependency graph for GraphTools.h:
This graph shows which files directly or indirectly include this file:

## Namespaces

- namespace tlp

## Functions

- TLP_SCOPE std::vector
  < std::vector< node > > tlp::computeCanonicalOrdering (PlanarConMap *, std::vector< edge > *dummyEdges=NULL, PluginProgress *pluginProgress=NULL)
- TLP_SCOPE std::vector< node > tlp::computeGraphCenters (Graph *graph)
- TLP_SCOPE node tlp::graphCenterHeuristic (Graph *graph, PluginProgress *pluginProgress=NULL)
- TLP_SCOPE node tlp::makeSimpleSource (Graph *graph)
- TLP_SCOPE void tlp::makeProperDag (Graph *graph, std::list< node > &addedNodes, TLP_HASH_MAP< edge, edge > &replacedEdges, IntegerProperty *edgeLength=NULL)
- TLP_SCOPE void tlp::selectSpanningForest (Graph *graph, BooleanProperty *selectionProperty, PluginProgress *pluginProgress=NULL)
- TLP_SCOPE void tlp::selectSpanningTree (Graph *graph, BooleanProperty *selection, PluginProgress *pluginProgress=NULL)
- TLP_SCOPE void tlp::selectMinimumSpanningTree (Graph *graph, BooleanProperty *selectionProperty, DoubleProperty *weight=NULL, PluginProgress *pluginProgress=NULL)
- TLP_SCOPE bool tlp::computeEqualValueClustering (Graph *graph, PropertyInterface *property, bool onNodes=true, bool connected=false, PluginProgress *pluginProgress=NULL)

Tulip Software by LaBRI Visualization Team 2001 - 2012